#ifndef FMTX_H
#define FMTX_H

/**
 * Copyright (C) 2006 Tino Reichardt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2, as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/**
 * some extensions to the standard fmt routines
 */

#include "fmt.h"

extern unsigned long fmt_blob(char *dst, const char *src, unsigned long len);
extern unsigned long fmt_u32pw(char *dst, const unsigned long i, const unsigned int pad, const char with);
extern unsigned long fmt_x32pw(char *dst, const unsigned long i, const unsigned int pad, const char with);

#endif /* FMTX_H */
