#ifndef SW_REDIR_SITE_H
#define SW_REDIR_SITE_H

/**
 * Copyright (C) 2006 Tino Reichardt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2, as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "request.h"

#define REDIR_TYPE_USER    0 /* user not okay */
#define REDIR_TYPE_HOST    1 /* host not okay */
#define REDIR_TYPE_URL     2 /* url not okay */
#define REDIR_TYPE_CONT    4 /* content not okay */
#define REDIR_TYPE_VIRUS   8 /* virus found */
#define REDIR_TYPE_BANNER 16 /* banner found */
#define REDIR_TYPE_CONFIG 32 /* webinterface */
extern void redir_site(request_t *r, int type);

#endif /* SW_REDIR_SITE_H */
