
/**
 * Copyright (C) 2001-2006 Tino Reichardt
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2, as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "fmtX.h"

unsigned long fmt_u32pw(char *dst, const unsigned long i, const unsigned int pad, const char with)
{
	register unsigned long len,tmp;

	for (len=1, tmp=i; tmp>9; ++len) tmp/=10;

	if (dst) {
		while (len < pad) { *dst=with; ++dst; ++len; }
		fmt_ulong(dst,i);
	}

	return (len<pad?pad:len);
}
